package com.sagacloud.dto;

/**
 * 指令执行结果 
 *
 */
public class OrderExeResp {
	private int state = OrderExeState.OK.getCode();
	/** 指令执行结果，只有state=200时有值 */
	public String exeResult;
	/** 下发指令的编号，格式： 时间戳-顺序号 */
	public String orderSeqNum;
	
	public int getState() {
		return state;
	}
	public void beOK() {
		state = OrderExeState.OK.getCode();
	}
	public void beNoResp() {
		state = OrderExeState.OK_SEND.getCode();
	}
	public void beErrParam() {
		state = OrderExeState.ERR_PARAM.getCode();
	}
	public void beTimeInvalid() {
		state = OrderExeState.ERR_TIME_INVALID.getCode();
	}
	public void beErrInvalid() {
		state = OrderExeState.ERR_INVALID.getCode();
	}
}
